|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QStyleHintReturnMask Class Reference
[QtGui module]

The QStyleHintReturnMask class provides style hints that return a QRegion. More...

    #include <QStyleHintReturnMask>

Inherits QStyleHintReturn.

- List of all members, including inherited members

### Public Functions

- QStyleHintReturnMask ()

### Public Variables

- QRegion region

- 2 public variables inherited from QStyleHintReturn

### Static Public Members

- const int Type
- const int Version

- 2 static public members inherited from QStyleHintReturn

## Detailed Description

The QStyleHintReturnMask class provides style hints that return a QRegion.

## Member Function Documentation

### QStyleHintReturnMask::QStyleHintReturnMask ()

Constructs a QStyleHintReturnMask. The member variables are initialized to default values.

## Member Variable Documentation

### const int QStyleHintReturnMask::Type

Equals SH_Mask.

### const int QStyleHintReturnMask::Version

Equals 1.

### QRegion QStyleHintReturnMask::region

This variable holds the returned region.

This variable contains the region for style hints that return a QRegion.